#ifndef RT_BUFFER_MANAGER_H
#define RT_BUFFER_MANAGER_H

#include "runtime.h"

#ifdef __cplusplus
extern "C" {
#endif

enum {
    RT_BUFFER_MGR_OUT_OF_MEMORY = RT_CUSTOM_ERROR_START,
    RT_BUFFER_MGR_MUTEX_CREATION_FAILED,
};

RT_DLLEXPORT void *rtAllocBuffer(size_t size);

RT_DLLEXPORT void rtReleaseBuffer(const void *begin, size_t size);

#ifdef __cplusplus
}
#endif

#endif
